import request from '@/utils/request'
import exp from 'constants'
import http from '@/websoft/api/index.js';

// api地址
const api = {
  login: 'passport/login',
  loginMpWx: 'passport/loginMpWx',
  loginWxOfficial: 'passport/loginWxOfficial',
  loginMpWxMobile: 'passport/loginMpWxMobile',
}

// 用户登录 (手机号+验证码)
export function login(data) {
  return request.post(api.login, data)
}

// 微信小程序快捷登录 (获取微信用户基本信息)
export function loginMpWx(data, option) {
  return request.post(api.loginMpWx, data, option)
}

// 微信公众号一键授权登录 (获取微信用户基本信息)
export function loginWxOfficial(data, option) {
  return request.post(api.loginWxOfficial, data, option)
}

// 微信小程序快捷登录 (授权手机号)
export function loginMpWxMobile(data, option) {
  return request.post(api.loginMpWxMobile, data, option)
}

// 支付宝小程序快捷登录
export function LoginMpAlipay(data, option) {
	return http.post('/login-alipay/login', data, option)
}